Subject: Re: emacs-24.3.94: Debian GNU/kFreeBSD 7 (wheezy) build issue

From: Paul Eggert <[email-masked]>
Date: Wed, 08 Oct 2014 09:52:11 -0700

On 10/08/2014 04:53 AM, Nelson H. F. Beebe wrote:
> The solution was simple:
>
>      % diff src/process.c.~1~ src/process.c
>      176c176
>      < static int
>      ---
>      > /* static */ int
>

Thanks, but I'd rather not do that, as it might override some system's 
accept4 function which other parts of that system's library might depend on.

Does the attached alternative patch work for you?  Or, to save you some 
time, since I can log into the Utah VMs perhaps you can give me the 
current list of VMs so that I can try it out myself?  I don't know which 
VM is the one that illustrates the problem.

Thanks.

=== modified file 'src/process.c'
--- src/process.c	2014-05-03 20:13:10 +0000
+++ src/process.c	2014-10-08 16:42:40 +0000
@@ -173,6 +173,9 @@
   return fd;
 }
 
+#undef accept4
+#define accept4 process_accept4
+
 static int
 accept4 (int sockfd, struct sockaddr *addr, socklen_t *addrlen, int flags)
 {